import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
/**
 * Buttons for the user to be able to input morse code.
 * 
 */
public class Input extends Actor
{
    private String input;
    private boolean pressed = false;
    
    public Input(int width, int height, String input) {
        GreenfootImage image = new GreenfootImage(width, height);
        setImage(image);
        this.input = input;
    }    
    
    public void act() {
        if(Greenfoot.mouseClicked(this) || (Greenfoot.isKeyDown(input) && (!pressed || input.equals("backspace")))) {
            ((Morse) getWorld()).process(input);
            pressed = true;
        }
        if(!Greenfoot.isKeyDown(input) && pressed) {
            pressed = false;
        }            
    }     
}
